Summary: GNOME Power Manager
Name: gnome-power-manager
Version: 0.2.0
Release: 1%{?dist}
License: GPL
Group: Applications/System
Source: http://dl.sourceforge.net/gnome-power/gnome-power-manager-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL: http://gnome-power.sourceforge.net/
BuildPrereq: libgnomeui-devel, libglade2-devel
BuildPrereq: hal-devel >= 0.5.4, dbus-devel >= 0.35
BuildPrereq: gnome-common
Requires: gnome-mime-data, gnome-icon-theme
Requires: hal >= 0.5.4, kernel >= 2.6
Requires: dbus >= 0.35, dbus-glib >= 0.35
Requires: libnotify >= 0.2.1
Obsoletes: PowerManager

%description
GNOME Power Manager uses the information and facilities provided by HAL 
displaying icons and handling user callbacks in an interactive GNOME session. 
GNOME Power Preferences allows authorised users to set policy and 
change preferences.

%prep
%setup -q

%build
%configure \
	--enable-libnotify					\
        --prefix=%{buildroot}					\
        --with-dbus-sys=%{buildroot}/etc/dbus-1/system.d        \
        --with-dbus-services=%{buildroot}/usr/share/dbus-1/services
make

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
	%{_sysconfdir}/gconf/schemas/gnome-power-manager.schemas >/dev/null

%preun
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule \
        %{_sysconfdir}/gconf/schemas/gnome-power-manager.schemas >/dev/null


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/*
%{_datadir}/*
%{_sysconfdir}/gconf/schemas/*.schemas
%dir %{_sysconfdir}/dbus-1/system.d
%config %{_sysconfdir}/dbus-1/system.d/gnome-power-manager.conf

%changelog
* Mon Jun 19 2005 Richard Hughes <richard@hughsie.com> 0.1.1-1
- New RPM version 0.1.1

* Mon Jun 18 2005 Richard Hughes <richard@hughsie.com> 0.1.0-1
- New RPM version 0.1.0

* Mon Jun 18 2005 Richard Hughes <richard@hughsie.com> 0.0.5-1
- New RPM version 0.0.5

%changelog
* Mon Apr 04 2005 Richard Hughes <richard@hughsie.com> 0.0.3-1
- initial packaging of 0.0.3

